import React, { useCallback, useRef } from 'react';
import { FoundationButton } from '@billogram/foundation-button';
import { FoundationLightboxConsumer, FoundationLightboxProvider } from './FoundationLightboxContext';
export default function FoundationLightboxButton(_ref) {
  var children = _ref.children,
      Lightbox = _ref.Lightbox,
      _ref$onClose = _ref.onClose,
      onClose = _ref$onClose === void 0 ? function () {} : _ref$onClose,
      _ref$onOpen = _ref.onOpen,
      onOpen = _ref$onOpen === void 0 ? function () {} : _ref$onOpen,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? 'gray' : _ref$ui;
  var buttonRef = useRef(null);
  var onCloseInternal = useCallback(function () {
    if (buttonRef.current !== null) {
      buttonRef.current.focus();
    }

    onClose();
  }, [onClose]);
  return React.createElement(FoundationLightboxProvider, {
    onClose: onCloseInternal,
    onOpen: onOpen
  }, React.createElement(FoundationLightboxConsumer, null, function (lightbox) {
    return React.createElement(FoundationButton // eslint-disable-next-line react/jsx-no-bind
    , {
      onClick: function onClick() {
        return lightbox.open(Lightbox);
      },
      ref: buttonRef,
      ui: ui
    }, children);
  }));
}
//# sourceMappingURL=FoundationLightboxButton.js.map