import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React, { useCallback, useContext, useMemo, useState } from 'react';
import useToggle from '@billogram/use-toggle';

function noop() {}

var FoundationLightboxContext = React.createContext({
  close: noop,
  disableClose: noop,
  enableClose: noop,
  open: noop
});
export function FoundationLightboxProvider(_ref) {
  var children = _ref.children,
      _ref$Lightbox = _ref.Lightbox,
      Lightbox = _ref$Lightbox === void 0 ? null : _ref$Lightbox,
      _ref$onClose = _ref.onClose,
      onClose = _ref$onClose === void 0 ? noop : _ref$onClose,
      _ref$onOpen = _ref.onOpen,
      onOpen = _ref$onOpen === void 0 ? noop : _ref$onOpen;

  // Don't pass a component directly to `useState`, since a function passed to `useState` should return the initial state.
  var _useState = useState({
    Component: Lightbox
  }),
      _useState2 = _slicedToArray(_useState, 2),
      lightbox = _useState2[0],
      setLightbox = _useState2[1];

  var _useToggle = useToggle({
    initialValue: true
  }),
      disableClose = _useToggle.unset,
      enableClose = _useToggle.set,
      canClose = _useToggle.value;

  var close = useCallback(function () {
    if (!canClose) {
      return;
    }

    setLightbox(function (prevState) {
      return _objectSpread({}, prevState, {
        Component: null
      });
    });
    onClose();
  }, [canClose, onClose]);
  var open = useCallback(function (Lightbox) {
    setLightbox(function (prevState) {
      return _objectSpread({}, prevState, {
        Component: Lightbox
      });
    });
    onOpen();
  }, [onOpen]);
  var context = useMemo(function () {
    return {
      close: close,
      open: open,
      disableClose: disableClose,
      enableClose: enableClose
    };
  }, [close, disableClose, enableClose, open]);
  return React.createElement(FoundationLightboxContext.Provider, {
    value: context
  }, lightbox.Component !== null ? React.createElement(lightbox.Component, null) : null, children);
}
export function FoundationLightboxConsumer(_ref2) {
  var children = _ref2.children;
  return React.createElement(FoundationLightboxContext.Consumer, null, function (context) {
    return children(context);
  });
}
export function useLightbox() {
  return useContext(FoundationLightboxContext);
}
//# sourceMappingURL=FoundationLightboxContext.js.map