import _toConsumableArray from "@babel/runtime/helpers/toConsumableArray";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import { useCallback, useMemo, useState } from 'react';
export default function FoundationLightboxWizard(_ref) {
  var steps = _ref.steps;

  var _useState = useState({
    currentStep: 0,
    currentStepArgs: []
  }),
      _useState2 = _slicedToArray(_useState, 2),
      state = _useState2[0],
      setState = _useState2[1];

  var next = useCallback(function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    setState(function (prevState) {
      return {
        currentStep: prevState.currentStep + 1,
        currentStepArgs: args
      };
    });
  }, []);
  var context = useMemo(function () {
    return {
      next: next
    };
  }, [next]);

  if (steps.length === 0) {
    if (process.env.NODE_ENV !== 'production') {
      console.warn('[FoundationLightboxWizard] Missing `steps`.');
    }

    return null;
  }

  var renderStep = steps[state.currentStep];

  if (renderStep === void 0) {
    if (process.env.NODE_ENV !== 'production') {
      console.warn('[FoundationLightboxWizard] Attempting to move to undefined step.');
    }

    return null;
  }

  if (typeof renderStep !== 'function') {
    if (process.env.NODE_ENV !== 'production') {
      console.warn('[FoundationLightboxWizard] Expected step to be a function.');
    }

    return null;
  }

  return renderStep.apply(void 0, [context].concat(_toConsumableArray(state.currentStepArgs)));
}
//# sourceMappingURL=FoundationLightboxWizard.js.map