import React from 'react';
import { FoundationButtonUI } from '@billogram/foundation-button';
import { UseToggleAction } from '@billogram/use-toggle';
export interface FoundationLightboxCloseHandler {
    (): void;
}
export interface FoundationLightboxOpenHandler {
    (Component: FoundationLightboxComponentType): void;
}
export interface FoundationLightboxContextType {
    close: FoundationLightboxCloseHandler;
    disableClose: UseToggleAction;
    enableClose: UseToggleAction;
    open: FoundationLightboxOpenHandler;
}
export declare type FoundationLightboxComponentType = React.ComponentType;
export interface FoundationLightboxOnCloseHandler {
    (): void;
}
export interface FoundationLightboxOnOpenHandler {
    (): void;
}
export interface FoundationLightboxProps {
    children: React.ReactNode;
    disableClickOutside?: boolean;
}
export interface FoundationLightboxButtonProps {
    children: React.ReactNode;
    Lightbox: FoundationLightboxComponentType;
    onClose?: FoundationLightboxOnCloseHandler;
    onOpen?: FoundationLightboxOnOpenHandler;
    ui?: FoundationButtonUI;
}
export interface FoundationLightboxContentProps {
    children?: React.ReactNode;
    description?: React.ReactNode;
    hasClose?: boolean;
    hasFixedWidth?: boolean;
    title?: React.ReactNode;
}
export interface FoundationLightboxOverlayProps {
    children: React.ReactNode;
    disableClickOutside?: boolean;
}
export interface FoundationLightboxProviderProps {
    children?: React.ReactNode;
    Lightbox?: FoundationLightboxComponentType | null;
    onClose?: FoundationLightboxOnCloseHandler;
    onOpen?: FoundationLightboxOnOpenHandler;
}
export interface FoundationLightboxConsumerProps {
    children: (context: FoundationLightboxContextType) => React.ReactElement | null;
}
export declare type FoundationLightboxWizardStepArgs = unknown[];
export interface FoundationLightboxWizardNextHandler {
    (...args: FoundationLightboxWizardStepArgs): void;
}
export interface FoundationLightboxWizardContext {
    next: FoundationLightboxWizardNextHandler;
}
export interface FoundationLightboxWizardStep {
    (context: FoundationLightboxWizardContext, ...args: FoundationLightboxWizardStepArgs): React.ReactElement | null;
}
export interface FoundationLightboxWizardProps {
    steps: FoundationLightboxWizardStep[];
}
